- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TDiscriminator
TInlineParameterMapParser
TParameterMap
TParameterProperty
TResultMap
TResultProperty
TSimpleDynamicParser
TSqlMapCacheKey
TSqlMapCacheModel
TSqlMapCacheTypes
TSqlMapDelete
TSqlMapInsert
TSqlMapSelectKey
TSqlMapStatement
TSqlMapUpdate
TSqlMapXmlConfigBuilder
TSqlMapXmlConfiguration
TSqlMapXmlMappingConfiguration
TSubMap

Keyword

# Class TSubMap

    TComponent
       |
       --TSubMap

TSubMap class defines a submapping value and the corresponding <resultMap>

The Value property is used for comparison with the discriminator column value. When the Value matches that of the discriminator column value, the corresponding ResultMapping is used inplace of the current result map.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Method Summary
string | getResultMapping () The result map to use when the Value matches the discriminator column value.
string | getValue ()
void | setResultMapping ( string $value)
void | setValue ( string $value)

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## getResultMapping

public string getResultMapping | ()

The result map to use when the Value matches the discriminator column value.

Output
string | ID of a result map
Exception

## getValue

public string getValue | ()

Output
string | value for comparison with discriminator column value.
Exception

## setResultMapping

public void setResultMapping | (string $value )

Input
string | $value | ID of a result map
Output
Exception

## setValue

public void setValue | (string $value )

Input
string | $value | value for comparison with discriminator column value.
Output
Exception